# ALSA Z2 Sound Loader - <ray@oddree.com>
# Based on the work of GPSFan (thanks Ken)

# We want ALSA, so unload the default audio_pxa driver.
rmmod audio_pxa

# remove old device files if need be
if test -f /dev/audio
then
	rm /dev/audio
fi
if test -f /dev/dsp
then
	rm /dev/dsp
fi
if test -f /dev/mixer
then
	rm /dev/mixer
fi
# create new device files
mknod /dev/audio c 14 4 -m 666
mknod /dev/dsp c 14 3 -m 666
mknod /dev/mixer c 14 0 -m 666
mkdir /dev/snd
mknod /dev/snd/pcmC0D0c c 116 24 -m 666
mknod /dev/snd/timer c 116 33 -m 666
mknod /dev/snd/controlC0 c 116 0 -m 666
mknod /dev/snd/pcmC0D0p c 116 16 -m 666
# load the modules
insmod /mnt/ffs/modules/i2c-core.ko
insmod /mnt/ffs/modules/i2c-algo-bit.ko
insmod /mnt/ffs/modules/i2c-pxa.ko
insmod /mnt/ffs/modules/soundcore.ko
insmod /mnt/ffs/modules/snd.ko
insmod /mnt/ffs/modules/snd-page-alloc.ko
insmod /mnt/ffs/modules/snd-timer.ko
insmod /mnt/ffs/modules/snd-mixer-oss.ko
insmod /mnt/ffs/modules/snd-pcm.ko
insmod /mnt/ffs/modules/snd-pcm-oss.ko
insmod /mnt/ffs/modules/snd-soc-core.ko
insmod /mnt/ffs/modules/snd-soc-pxa2xx.ko
insmod /mnt/ffs/modules/snd-soc-pxa2xx-i2s.ko
insmod /mnt/ffs/modules/snd-soc-wm8750.ko
insmod /mnt/ffs/modules/snd-soc-z2.ko
# attempt to restore settings from asound.state
/mnt/ffs/bin/alsactl -F restore 0
